
const options_navbar = ['Team', 'Project', 'Safety', 'Hardware', 'Human Practices', 'Education', 'Inclusivity'];
const link__options = document.querySelectorAll(".link__option");
const container_submenu = document.querySelectorAll(".subMenu__options")
const button_navbar = document.querySelector(".btn-navbar");
const menu_options = document.querySelector(".menu__options");
const menu_responsive = document.querySelector(".menu__responsive");
const button_close = document.querySelector(".btn-close-menu-resp");
const view_options = document.querySelectorAll(".link__option-responsive");
const sub_menu__options_resposive = document.querySelectorAll(".sub-menu__options-resposive");

link__options.forEach((link, index) => {
    link.addEventListener('mouseover', function (event) {
        container_submenu[index].classList.add("active");
    });
    link.addEventListener('mouseout', function (event) {
        container_submenu[index].classList.remove("active");
    });
})

function activeDesactive() {
    if (window.innerWidth < 1310) {  // Cambiado a window.innerWidth
        button_navbar.classList.remove('inactive');
        button_navbar.classList.add('active');
    } else {
        button_navbar.classList.remove('active');
        button_navbar.classList.add('inactive');
    }
}

document.addEventListener('DOMContentLoaded', activeDesactive);

window.addEventListener('resize', activeDesactive);


button_navbar.addEventListener('click', function () {
    if (button_navbar.classList.contains('active')) {
        menu_responsive.classList.remove('inactive');
        deleteOptionsActive();
        menu_responsive.classList.add('active');
    } else {
        menu_responsive.classList.remove('active');
        menu_responsive.classList.add('inactive');
    }
})

button_close.addEventListener('click', function () {
    if (menu_responsive.classList.contains('active')) {
        menu_responsive.classList.remove('active');
        menu_responsive.classList.add('inactive');
    } else {
        menu_responsive.classList.remove('inactive');
        menu_responsive.classList.add('active');
    }
});

const nameOptions = ['Team', 'Project', 'Lab', 'Awards'];

view_options.forEach((option_view, index) => {
    option_view.addEventListener('click', function (event) {
        if (sub_menu__options_resposive[index].classList.contains("active")) {
            sub_menu__options_resposive[index].classList.remove("active");
            sub_menu__options_resposive[index].classList.add("inactive");
            option_view.children[0].innerHTML = `${nameOptions[index]}  <i class="fa-solid fa-chevron-down"></i>`;

        } else {
            sub_menu__options_resposive[index].classList.remove("inactive");
            deleteOptionsActive();
            sub_menu__options_resposive[index].classList.add("active");
            option_view.children[0].innerHTML = `${nameOptions[index]}  <i class="fa-solid fa-chevron-up"></i>`;
        }

    });
});


function deleteOptionsActive() {
    sub_menu__options_resposive.forEach((option, index) => {
        option.classList.remove("active");
        view_options[index].children[0].innerHTML =  `${nameOptions[index]}  <i class="fa-solid fa-chevron-down"></i>`;
    });
}