const title_now_options = document.querySelector(".title-options-menu");

if (title_now_options != null) {

    const menu_options_education = [
        'overview',
        'courses',
        'conferences',
        'activities',
        'fairs',
        'science_communication',
        'sciences_borders',
        'visit_special',
        'impacts_inclusivity'
    ];
    const menu_options_hardware = ['Description', 'Operating-Principle', 'Desing-Considerations', 'Electronic-Components', 'Mechanical-Desing', 'Calibration', 'Productions-Cost', 'Appendices', 'Bibliography']
    const menu_options_engineering = ['overview', 'desing', 'build', 'test', 'lessons-Learned', 'references'];
    const menu_options_human_pratices = [
        'introduction',
        'moment-inspiration',
        'reflecting_decisions',
        'exploring_reflecting',
        'anticipating_positive_negative_impacts',
        'conclusions'
    ]

    const menu_options_biosafety = ['overview', 'objetives', 'regulations_mercury', 'handling_mercury', 'waste_disinfection', 'references'];

    const menu_options_experiments = ['protocol_competent_cells', 'bacterial_transformation_protocol', 'protocol_handling_mercury']

    const global_options = {
        education: menu_options_education,
        hardware: menu_options_hardware,
        engineeringsuccess: menu_options_engineering,
        humanpractices: menu_options_human_pratices,
        biosafety: menu_options_biosafety,
        experiments: menu_options_experiments
    }

    // obtain the current page and thereby obtain the list of menu options
    const now_pag = global_options[title_now_options.innerHTML.replace(/\s+/g, '').toLocaleLowerCase()];


    const sidebars_options = document.querySelectorAll('.sidebar-option');
    const button_sidebar = document.querySelector('.btn-sidebar');
    const sidebar = document.querySelector('.sidebar__content');
    const content_page = document.querySelector('.content_page');


    function openSidebar() {
        if (sidebar.classList.contains('active')) {
            sidebar.classList.remove('active');
            sidebar.classList.add('inactive');
            button_sidebar.innerHTML = '<i class="fa-solid fa-bars"></i>';
            content_page.classList.remove('incomplete_page');
            content_page.classList.add('complete_page');

            return;
        } else {
            sidebar.classList.remove('inactive');
            sidebar.classList.add('active');
            button_sidebar.innerHTML = '<i class="fa-solid fa-xmark"></i>';
            content_page.classList.remove('complete_page');
            content_page.classList.add('incomplete_page');
        }
    }

    button_sidebar.addEventListener('click', openSidebar);

    function scrollToSection(id) {
        const sectionOptionMenu = document.getElementById(now_pag[id])
        const position = sectionOptionMenu.getBoundingClientRect();
        window.scrollBy({
            top: position.top - 60,
            left: 0,
            behavior: "smooth",
        });
    }


    sidebars_options.forEach((option, index) => {
        option.addEventListener('click', () => {
            scrollToSection(index);
        })
    });

}